function [Weng,Wpros,Wtnk,Wttj,Wttr,Wtrj,Wtsj] = pesi_propulsione(Nengtj,Nengtr,Nengsj,Nengrj,Wa,Htsjm,Wfuel...
    ,rho_f,rho_th,Ttott)

    Wttj=Nengtj*(Wa*(133.3)-16600)/4;
    Wttr=Nengtr*1782.63*exp(0.003*Wa);
    if Nengrj>0
    Wtrj=0.01*(Ttott); %SE ho i ramjet
    end
    if Nengrj==0
    Wtrj=0; %SE non ho i ramjet
    end
    Wtsj=Nengsj*(87.5*Htsjm-850);

    Wtnk=Wfuel/rho_f*rho_th;

    Weng=Wttj+Wttr+Wtsj+Wtrj;
    Wpros=Wtnk+Weng;
end